Subject: Re: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Nov 2021 10:11:08 +0200

> Date: Tue, 2 Nov 2021 20:19:52 +0000
> From: Alan Third <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Stefan Kangas <[email-masked]>,
> 	[email-masked], [email-masked]
> 
> On Tue, Nov 02, 2021 at 11:43:58AM -0700, Jim Porter wrote:
> > 
> > 1) Single-color SVGs
> > 
> > Some SVGs are just a single-color shape, like the Customize arrows. There's
> > no *particular* color that's right for these, aside from "what looks good".
> > In some ways, these SVGs are like an ordinary textual glyph, except that
> > we've defined our own fancy shape to use. In this case, I think it makes
> > sense to be able to specify what color to use for the SVG independently of
> > the shape so that themes can adjust it as-needed.
> > 
> > This case is the one initially described in this bug.
> 
> This is the case we looked at when we originally replaced the
> customize widgets with SVGs. At the time we very intentionally removed
> the colour and size information from the SVG files (checkbox.svg, etc)
> so that they would match the colours and font size of the surrounding
> text.
> 
> I guess, unfortunately, these arrows were missed.

Thanks.  Since these SVG images were missed back then, I've changed my
mind about the safety of the change, and cherry-picked the fix to the
emacs-28 branch.